All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
ObjScopeGuardImpl0< Obj, MemFun > Class Template Reference

scope guard class More...

`#include <ScopeGuard.h>`

Inheritance diagram for ObjScopeGuardImpl0< Obj, MemFun >:
[legend]
Collaboration diagram for ObjScopeGuardImpl0< Obj, MemFun >:
[legend]

## Detailed Description

### template<class Obj, typename MemFun>
class ObjScopeGuardImpl0< Obj, MemFun >

scope guard class

The documentation for this class was generated from the following file:

- include/qore/ScopeGuard.h (5431)